Name: 		scribus
Summary: 	%{name} Open Source Desktop Publishing
Version: 	1.2.2.1
Release: 	1
License: 	LGPL
URL:            http://www.scribus.org.uk/index.php
Source0: 	%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
Group: 		Graphics
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description
Scribus brings award-winning professional DTP to Linux and *nix desktops with a combination 
of "press-ready" output and new approaches to page layout.

Since its humble beginning in the spring of 2001, Scribus has rapidly developed into one of 
the premier desktop applications for Linux. Called by Newsforge, "..one of the killer 
applications for Linux", Scribus 1.2 brings new power and versatile tools for desktop 
publishing. New features like separation previews, cross-platform python scripting, advanced 
PDF 1.4 support are just some of the hundreds of improvements large and small in Scribus 1.2.

Underneath the modern and user friendly interface, Scribus supports professional publishing 
features, such as CMYK color, separations, ICC color management and versatile PDF creation. 
Scribus was the first DTP application on the planet to directly support PDF/X-3 output, a 
rigorous ISO standard. Scribus did so by almost a year. Other features include PDF Import, 
EPS import/export, Unicode text including right to left scripts such as Arabic and Hebrew.

Scribus also has unexpected touches such as: useful vector drawing tools, SVG import/export 
and support for OpenType Fonts. The Scribus file format is XML based; open and completely 
documented. Unlike proprietary binary file formats, even damaged documents, can be recovered 
with a simple text editor - sometimes a challenging problem with other page layout programs. 
There is an easy to use drag and drop scrapbook. Scribus has been translated into more than 
24 languages and more are coming in the future. The Scribus team prides itself on excellent 
end user support with a lively IRC channel and friendly mailing list.

%package        devel
Summary:        %{SUMMARY} headers for %{name}
Group:          Development
                                       
%description    devel
%{DESCIPTION}

%prep
%setup -q

%build
%configure --disable-nls --without-includeed-gettext
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -R $RPM_BUILD_ROOT/usr/man/pl
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Graphics
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Graphics

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}
%{_libdir}
%{_mandir}
%{_datadir}

%files devel
%defattr(-,root,root)
%{_includedir}
